Client billing portal

Update Client Billing Details

Updates the own organization's existing invoice address and billing contacts with a redacted audit.

POSThttps://api.toku.com/platform/update-client-billing-details

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/platform/update-client-billing-details' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "billingAddress": "string",
  "billingEmails": [
    "user@example.com"
  ]
}'
200 response
{
  "legalName": "string",
  "billingAddress": "string",
  "billingEmails": [
    "string"
  ],
  "companyName": "string",
  "editable": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

billingAddressstringrequired

Allowed: 1 to 1000 characters

billingEmailsstring<email>[]required

Allowed: 1 to 20 items

Response

200Successful response
legalNamestring | nullrequired
billingAddressstring | nullrequired
billingEmailsstring[]required
companyNamestringrequired
editablebooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits